apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    deployLabel: jjb-saas-safety-eval-deploy
  name: jjb-saas-safety-eval-deploy
  namespace: jjb-dragon
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: jjb-saas-safety-eval-pod
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: jjb-saas-safety-eval-pod
        namespace: jjb-dragon
    spec:
      containers:
      - name: jjb-saas-safety-eval-app
        image: jjb-registry-registry.cn-hangzhou.cr.aliyuncs.com/ali_img_ns/prod-aly-ota-dragon-jjb-saas-safety-eval:ota-20260703-1
        imagePullPolicy: Always
        command:
        - /opt/jdk1.8.0_202/bin/java
        args:
        - -Dnacos.namespace=jjb-dragon
        - -Dnacos.url=prod-nacos:8848
        - -Dspring.profiles.active=prod
        - -Dmysql.password=Mysql@zcloud33080
        - -Dmysql.host=192.168.20.100
        - -Dmysql.port=33080
        - -Dmysql.username=root
        - -jar
        - /opt/app.jar
        env:
        - name: TZ
          value: Asia/Shanghai
        ports:
        - containerPort: 8095
          name: http
          protocol: TCP
        - containerPort: 20895
          name: dubbo
          protocol: TCP
        resources:
          limits:
            cpu: "1"
            memory: 2048M
          requests:
            cpu: 500m
            memory: 512M
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: image-pull-secret
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
